Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030459
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2015-07-30 10:522015-08-20 23:16
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision142f0dbc4bc3
ProjectionnoneETAnoneTarget Version3.0PR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030459: Not possible to configure properly a modulescript to be executed twice or more times during install.source

DescriptionCurrently is not possible to configure a modulescript to be executed twice or more times during install.source with the functionalities added in [1].

For example, if we want to execute a modulescript added in Q3 on install.source and also in Q4, this can't be configured because the executeOnInstall() does not takes into account this case (it just take this into account when updating update.database and update.database.mod tasks)


[1] https://issues.openbravo.com/view.php?id=30286 [^]
Steps To ReproduceIn description
Proposed SolutionAdapt the usage of the executeOnInstall() to work with the install.source task also.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0030286 closedcaristu Add ability to determine if modulescripts should be executed depending on a particular module version 

-  Notes
(0079122)
hgbot (developer)
2015-07-30 11:01

Repository: erp/devel/dbsm-main
Changeset: fae93badab51636857c16b36a36f1d9be2ff303d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jul 30 10:59:34 2015 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/fae93badab51636857c16b36a36f1d9be2ff303d [^]

Related to issue 30459: Not send versions on install.source in DBSourceManager

---
M src/org/openbravo/ddlutils/task/ImportSampledata.java
---
(0079124)
hgbot (developer)
2015-07-30 11:09

Repository: erp/devel/pi
Changeset: 142f0dbc4bc3cd1e7d9fc29ab8afe03fe94cc062
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jul 30 11:07:20 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/142f0dbc4bc3cd1e7d9fc29ab8afe03fe94cc062 [^]

fixes issue 30459: can execute modulescripts twice or more on install.source

It was not possible to configure modulescripts to be executed more than once during install.source of different versions. Now we send an empty hash map during install.source to the ModuleScriptHandler. This way we identify that we are executing the install.source task. Thus, in this case we will execute the modulescript depending on the value returned by its executeOnInstall() method

---
M src-core/src/org/openbravo/modulescript/ModuleScript.java
M src-db/database/lib/dbsourcemanager.jar
---
(0079125)
caristu (developer)
2015-07-30 11:14

The documentation has been updated properly: http://wiki.openbravo.com/wiki/How_to_create_build_validations_and_module_scripts#Execute_on_install [^]
(0079209)
alostale (developer)
2015-08-06 08:29

code reviewed + tested: now install.source considers modules as being installed
(0079512)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-30 10:52 caristu New Issue
2015-07-30 10:52 caristu Assigned To => caristu
2015-07-30 10:52 caristu Modules => Core
2015-07-30 10:52 caristu Triggers an Emergency Pack => No
2015-07-30 10:53 caristu Relationship added related to 0030286
2015-07-30 11:01 hgbot Checkin
2015-07-30 11:01 hgbot Note Added: 0079122
2015-07-30 11:08 caristu Review Assigned To => alostale
2015-07-30 11:08 caristu Issue Monitored: alostale
2015-07-30 11:09 hgbot Checkin
2015-07-30 11:09 hgbot Note Added: 0079124
2015-07-30 11:09 hgbot Status new => resolved
2015-07-30 11:09 hgbot Resolution open => fixed
2015-07-30 11:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/142f0dbc4bc3cd1e7d9fc29ab8afe03fe94cc062 [^]
2015-07-30 11:14 caristu Note Added: 0079125
2015-08-06 08:29 alostale Note Added: 0079209
2015-08-06 08:29 alostale Status resolved => closed
2015-08-06 08:29 alostale Fixed in Version => 3.0PR15Q4
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079512


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker